%define mod_name Params-Check

Name:           perl-%{mod_name}
Epoch:          1
Version:        0.38
Release:        420
Summary:        Generic input parsing/checking mechanism
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/%{mod_name}
Source0:        https://cpan.metacpan.org/authors/id/B/BI/BINGOS/%{mod_name}-%{version}.tar.gz


BuildArch:      noarch
BuildRequires:  perl-interpreter perl-generators perl(ExtUtils::MakeMaker) perl(strict)

#for test
BuildRequires:  perl(constant) perl(Test::More) 

Requires:       perl(:MODULE_COMPAT_%(perl -V:version | cut -d"'" -f 2))

%description
Params::Check
 
    Allows for generic input checking and validating using a powerfull
    templating system, providing default values and so on.

%package help
Summary:  Man pages and other related documents for Params-Check

BuildArch: noarch

%description help
Man pages and other related documents for Params-Check.

%prep
%autosetup -n %{mod_name}-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}

%check
make test TEST_VERBOSE=1

%files
%doc README
%{perl_vendorlib}/*

%files help
%doc CHANGES
%{_mandir}/man3/*

%changelog
* Fri Jan 5 2024 xiejing <xiejing@kylinos.cn> - 1:0.38-420
- fix the description for help package name

* Wed Oct 26 2022 wangyuhang <wangyuhang27@huawei.com> - 1:0.38-419
- define mod_name to opitomize the specfile

* Wed Aug 28 2019 openEuler Buildteam <buildteam@openeuler.org> - 1:0.38-418
- Package init

